Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1513289 - Review Request: ghc-yesod-static - Static file serving subsite for Yesod Web Framework
Summary: Review Request: ghc-yesod-static - Static file serving subsite for Yesod Web ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 985082 1491457
TreeView+ depends on / blocked
 
Reported: 2017-11-15 05:47 UTC by Elliott Sales de Andrade
Modified: 2018-04-06 08:41 UTC (History)
1 user (show)

Fixed In Version: ghc-yesod-static-1.5.3.1-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-06 08:41:18 UTC
petersen: fedora-review+


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2017-11-15 05:47:18 UTC
Spec URL: http://qulogic.fedorapeople.org//ghc-yesod-static.spec
SRPM URL: http://qulogic.fedorapeople.org//ghc-yesod-static-1.5.3.1-1.git.0.e77deaf.fc26.src.rpm

Description:
Serve static files from a Yesod app. This is great for developing your
application, but also for a dead-simple deployment. Caching headers are
automatically taken care of. If you are running a proxy server (like Apache or
Nginx), you may want to have that server do the static serving instead.

Comment 1 Elliott Sales de Andrade 2017-11-15 05:47:22 UTC
This package built on koji:  https://koji.fedoraproject.org/koji/taskinfo?taskID=23132247

Comment 2 Jens Petersen 2017-11-15 09:04:57 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====
C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 23 files have
     unknown license. Detailed output of licensecheck in
     /home/petersen/pkgreview/1513289-ghc-yesod-static/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 337920 bytes in 22 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====
Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.

Rpmlint
-------
Checking: ghc-yesod-static-1.5.3.1-1.git.0.e77deaf.fc28.x86_64.rpm
          ghc-yesod-static-devel-1.5.3.1-1.git.0.e77deaf.fc28.x86_64.rpm
          ghc-yesod-static-1.5.3.1-1.git.0.e77deaf.fc28.src.rpm
ghc-yesod-static.x86_64: W: no-dependency-on ghc-yesod/ghc-yesod-libs/libghc-yesod
ghc-yesod-static.x86_64: W: spelling-error Summary(en_US) subsite -> subside, sub site, sub-site
ghc-yesod-static.x86_64: W: incoherent-version-in-changelog 1.5.3.1-1 ['1.5.3.1-1.git.0.e77deaf.fc28', '1.5.3.1-1.git.0.e77deaf']
ghc-yesod-static.x86_64: W: no-documentation
ghc-yesod-static.src: W: spelling-error Summary(en_US) subsite -> subside, sub site, sub-site
3 packages and 0 specfiles checked; 0 errors, 5 warnings.

Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
ghc-yesod-static.x86_64: W: no-dependency-on ghc-yesod/ghc-yesod-libs/libghc-yesod
ghc-yesod-static.x86_64: W: spelling-error Summary(en_US) subsite -> subside, sub site, sub-site
ghc-yesod-static.x86_64: W: incoherent-version-in-changelog 1.5.3.1-1 ['1.5.3.1-1.git.0.e77deaf.fc28', '1.5.3.1-1.git.0.e77deaf']
ghc-yesod-static.x86_64: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

Diff spec file in url and in SRPM
---------------------------------
--- /home/petersen/pkgreview/1513289-ghc-yesod-static/srpm/ghc-yesod-static.spec	2017-11-15 16:53:59.940087402 +0900
+++ /home/petersen/pkgreview/1513289-ghc-yesod-static/srpm-unpacked/ghc-yesod-static.spec	2017-11-15 14:36:18.000000000 +0900
@@ -8,5 +8,5 @@
 Name:           ghc-%{pkg_name}
 Version:        1.5.3.1
-Release:        1%{?dist}
+Release:        1.git.0.e77deaf%{?dist}
 Summary:        Static file serving subsite for Yesod Web Framework

Requires
--------
ghc-yesod-static (rpmlib, GLIBC filtered):
    libHSaeson-1.0.2.1-727tGRvxuFPI4K1AyXoIrt-ghc8.0.2.so()(64bit)
    libHSansi-terminal-0.6.2.3-4HPxin1iv6RAndS8lH3nzo-ghc8.0.2.so()(64bit)
    libHSansi-wl-pprint-0.6.7.3-3GSHFrIr1fs45bsgKkZbLF-ghc8.0.2.so()(64bit)
    libHSappar-0.1.4-DGWHHt2WRn9FI49prcwO9-ghc8.0.2.so()(64bit)
    libHSarray-0.5.1.1-ghc8.0.2.so()(64bit)
    libHSasync-2.1.1-4n6HEMPJR2eJK0JpvCfuPK-ghc8.0.2.so()(64bit)
    libHSattoparsec-0.13.1.0-G3BhdDx0nS3HUOq0M94zE6-ghc8.0.2.so()(64bit)
    libHSauto-update-0.1.4-EmUvNdmhEju51bHrtaEMpz-ghc8.0.2.so()(64bit)
    libHSbase-4.9.1.0-ghc8.0.2.so()(64bit)
    libHSbase-compat-0.9.1-B9geVZFtCvE8ERS7UcvkRz-ghc8.0.2.so()(64bit)
    libHSbase64-bytestring-1.0.0.1-4O9TExPPz6eI82Yj7L4SIj-ghc8.0.2.so()(64bit)
    libHSbinary-0.8.3.0-ghc8.0.2.so()(64bit)
    libHSblaze-builder-0.4.0.2-Chs7nQ4Qyy3Dg6EW0im6Kk-ghc8.0.2.so()(64bit)
    libHSblaze-html-0.8.1.3-4GC9ZrWsvleFkiwXhsHB3o-ghc8.0.2.so()(64bit)
    libHSblaze-markup-0.7.1.1-BiS8Ue09EMkGrAxkHLxlgn-ghc8.0.2.so()(64bit)
    libHSbyteable-0.1.1-2lU1pexQSLj1KbNO17UifQ-ghc8.0.2.so()(64bit)
    libHSbyteorder-1.0.4-9NlNHkBVdo7F1prFVKrkcH-ghc8.0.2.so()(64bit)
    libHSbytestring-0.10.8.1-ghc8.0.2.so()(64bit)
    libHScase-insensitive-1.2.0.8-1Ks4sMDdgOS2sugdUOoG2m-ghc8.0.2.so()(64bit)
    libHScereal-0.5.4.0-BsAGxfp8yAs3CiRo2E875e-ghc8.0.2.so()(64bit)
    libHScipher-aes-0.2.11-58pv1o4yiCkBrbdAweNPRA-ghc8.0.2.so()(64bit)
    libHSclientsession-0.9.1.2-73gAXFmphElGJjwPvnTFrw-ghc8.0.2.so()(64bit)
    libHSconduit-1.2.9-KyEH1gT2SFlFXLffDx2XOT-ghc8.0.2.so()(64bit)
    libHSconduit-extra-1.1.15-E618f3Ee8ucAc6qnMdY0db-ghc8.0.2.so()(64bit)
    libHScontainers-0.5.7.1-ghc8.0.2.so()(64bit)
    libHScookie-0.4.2.1-tr17k2t0N857PhKWvBf07-ghc8.0.2.so()(64bit)
    libHScprng-aes-0.6.1-Iqhpbh6qSYuLd90MapLOSX-ghc8.0.2.so()(64bit)
    libHScrypto-api-0.13.2-IETueZuD8kB6D6D3e0Qo1q-ghc8.0.2.so()(64bit)
    libHScrypto-cipher-types-0.0.9-CAb7rIxButPEeZxdFJZmUX-ghc8.0.2.so()(64bit)
    libHScrypto-random-0.0.9-EL5qpuwNGji3iwO33JR6eS-ghc8.0.2.so()(64bit)
    libHScryptonite-0.24-ILuVi1LfJlnLqQncwTReUq-ghc8.0.2.so()(64bit)
    libHScryptonite-conduit-0.2.0-6TKtNYMN7346A3thn5FNYx-ghc8.0.2.so()(64bit)
    libHScss-text-0.1.2.2-C8fxTSJlSGl19q6p4vOMyz-ghc8.0.2.so()(64bit)
    libHSdata-default-0.7.1.1-7EGYJX2YWqWJRbPFUHNoCr-ghc8.0.2.so()(64bit)
    libHSdata-default-class-0.1.2.0-GsXqKN6o1X9jr0fF5qCVD-ghc8.0.2.so()(64bit)
    libHSdata-default-instances-containers-0.0.1-bob6IQGdJq92c061H46zK-ghc8.0.2.so()(64bit)
    libHSdata-default-instances-dlist-0.0.1-FKnZBeovJMk4M89wQxDhjl-ghc8.0.2.so()(64bit)
    libHSdata-default-instances-old-locale-0.0.1-9zaGDEmgOixKkmLylWdN5l-ghc8.0.2.so()(64bit)
    libHSdeepseq-1.4.2.0-ghc8.0.2.so()(64bit)
    libHSdeepseq-generics-0.2.0.0-IjS8Jfo7YCzLKpV8N96gbz-ghc8.0.2.so()(64bit)
    libHSdirectory-1.3.0.0-ghc8.0.2.so()(64bit)
    libHSdlist-0.8.0.2-6Wnps4GD7EFnRucVzXIFD-ghc8.0.2.so()(64bit)
    libHSeasy-file-0.2.1-rguMBNaECxLikt4CCDx0D-ghc8.0.2.so()(64bit)
    libHSentropy-0.3.7-GVoReSVE1cZ4Y1pKgzhBYO-ghc8.0.2.so()(64bit)
    libHSexceptions-0.8.3-ADEDRATtUrMK1JW4zMQ9U-ghc8.0.2.so()(64bit)
    libHSfast-logger-2.4.10-7pyUB3yOtP8HXEahkbkrds-ghc8.0.2.so()(64bit)
    libHSfile-embed-0.0.10-KWMmUDaNSRP7AxWSEHlrrK-ghc8.0.2.so()(64bit)
    libHSfilepath-1.4.1.1-ghc8.0.2.so()(64bit)
    libHSfoundation-0.0.13-G4GHWkMwmXnF7HKMtT8vGa-ghc8.0.2.so()(64bit)
    libHSghc-boot-th-8.0.2-ghc8.0.2.so()(64bit)
    libHSghc-prim-0.5.0.0-ghc8.0.2.so()(64bit)
    libHShashable-1.2.5.0-3jyU6ITgVDsZjJvM61wsx-ghc8.0.2.so()(64bit)
    libHShjsmin-0.2.0.2-5bsgT8RniwlDYdja9qfjhV-ghc8.0.2.so()(64bit)
    libHShttp-date-0.0.6.1-3GdRclsSolfJcDf3N1R5w1-ghc8.0.2.so()(64bit)
    libHShttp-types-0.9.1-8UHFRKjjMv4ECejpDfDj8j-ghc8.0.2.so()(64bit)
    libHShttp2-1.6.3-JjqAKXwB0vD6XA3txNlcjl-ghc8.0.2.so()(64bit)
    libHSinteger-gmp-1.0.0.1-ghc8.0.2.so()(64bit)
    libHSinteger-logarithms-1.0.1-IEHCuEd5sG4JjSjlx7m5JF-ghc8.0.2.so()(64bit)
    libHSiproute-1.7.1-4HULutk0xITKNjI1pwYrD4-ghc8.0.2.so()(64bit)
    libHSlanguage-javascript-0.6.0.9-LvNPNTLvGu9FfwFW3NlTwo-ghc8.0.2.so()(64bit)
    libHSlifted-base-0.2.3.10-BoEavBFIcriDza63doCjS2-ghc8.0.2.so()(64bit)
    libHSmemory-0.14.6-Aar7hKewN999MXzU9kvt2a-ghc8.0.2.so()(64bit)
    libHSmime-types-0.1.0.7-DtDaq3BBRdpGX5AB2WhPPy-ghc8.0.2.so()(64bit)
    libHSmmorph-1.0.9-5bASEvmIkr5CpdAYXwPsn0-ghc8.0.2.so()(64bit)
    libHSmonad-control-1.0.1.0-LQwQ0Hi5p0oAccTfTzbfD5-ghc8.0.2.so()(64bit)
    libHSmonad-logger-0.3.20.2-IR76dfKxbf7DzcklGZVa9y-ghc8.0.2.so()(64bit)
    libHSmonad-loops-0.4.3-ERCN4ZKCeeS5SRhwqXsLBP-ghc8.0.2.so()(64bit)
    libHSmtl-2.2.1-BLKBelFsPB3BoFeSWSOYj6-ghc8.0.2.so()(64bit)
    libHSmwc-random-0.13.5.0-Dp3Ri46ZxJuCFZWIowNqha-ghc8.0.2.so()(64bit)
    libHSnetwork-2.6.3.1-ABFtZSq90Z9BfMXNiqgBoe-ghc8.0.2.so()(64bit)
    libHSold-locale-1.0.0.7-KGBP1BSKxH5GCm0LnZP04j-ghc8.0.2.so()(64bit)
    libHSold-time-1.1.0.3-KWRsMSdY26c2L27Y9n9cyq-ghc8.0.2.so()(64bit)
    libHSoptparse-applicative-0.13.1.0-EckXzexC1bC882Fvwd8AZD-ghc8.0.2.so()(64bit)
    libHSparsec-3.1.11-8RyPB3SGixcIZrsPWwkXoj-ghc8.0.2.so()(64bit)
    libHSpath-pieces-0.2.1-IRpJTFkhTfh6f4ss6nLJOw-ghc8.0.2.so()(64bit)
    libHSpretty-1.1.3.3-ghc8.0.2.so()(64bit)
    libHSprimitive-0.6.1.0-6AbSTw9JXz141LE5p6LGH-ghc8.0.2.so()(64bit)
    libHSprocess-1.4.3.0-ghc8.0.2.so()(64bit)
    libHSpsqueues-0.2.4.0-4Hzq0Q7r3u0F6sl6wrvel7-ghc8.0.2.so()(64bit)
    libHSrandom-1.1-9tceXaeYIMZ4JrKq20Egog-ghc8.0.2.so()(64bit)
    libHSresourcet-1.1.9-Ej57FoSD8NQLck5u9CwWz8-ghc8.0.2.so()(64bit)
    libHSsafe-0.3.14-GsbXn9D9F3BDazVNcErzdQ-ghc8.0.2.so()(64bit)
    libHSscientific-0.3.4.10-DA9ONxqejsGCq5hXtyaVFh-ghc8.0.2.so()(64bit)
    libHSsecuremem-0.1.9-9BtpMES6VHn7a7AVmquh53-ghc8.0.2.so()(64bit)
    libHSsemigroups-0.18.2-GvTCUro9Hym1wGKOLNRfUA-ghc8.0.2.so()(64bit)
    libHSsetenv-0.1.1.3-8dEhk6JWvlmCmVyBammSpu-ghc8.0.2.so()(64bit)
    libHSshakespeare-2.0.12.1-24fNuDY9ewh4xOZt5Locij-ghc8.0.2.so()(64bit)
    libHSsimple-sendfile-0.2.25-JJ9zm1wZxYIARxlVa3oQgs-ghc8.0.2.so()(64bit)
    libHSskein-1.0.9.4-1r9hT02ZzU5HeQ9SvXvQV-ghc8.0.2.so()(64bit)
    libHSstm-2.4.4.1-JQn4hNPyYjP5m9AcbI88Ve-ghc8.0.2.so()(64bit)
    libHSstm-chans-3.0.0.4-JX6Y7GVvdkg3BduVhEnPWu-ghc8.0.2.so()(64bit)
    libHSstreaming-commons-0.1.17-I2SeDNkrU8s6ejKTKxBI5F-ghc8.0.2.so()(64bit)
    libHSstringsearch-0.3.6.6-2soGORichTR6reHVhDqKip-ghc8.0.2.so()(64bit)
    libHStagged-0.8.5-1mTloBSoUxv8dqUr8XBGBt-ghc8.0.2.so()(64bit)
    libHStemplate-haskell-2.11.1.0-ghc8.0.2.so()(64bit)
    libHStext-1.2.2.1-FwvWBfkNJh1I1NMMegz0uY-ghc8.0.2.so()(64bit)
    libHStime-1.6.0.1-ghc8.0.2.so()(64bit)
    libHStime-locale-compat-0.1.1.3-3NWht2bntyvDGDNXWNkT1S-ghc8.0.2.so()(64bit)
    libHStransformers-0.5.2.0-ghc8.0.2.so()(64bit)
    libHStransformers-base-0.4.4-GKSs0LKukAL8ymq2naFmrH-ghc8.0.2.so()(64bit)
    libHStransformers-compat-0.5.1.4-IuFogs8HAVUJBWVNMhtssu-ghc8.0.2.so()(64bit)
    libHSunix-2.7.2.1-ghc8.0.2.so()(64bit)
    libHSunix-compat-0.4.3.1-Ausmw6d7KIwA7sl52mzqxC-ghc8.0.2.so()(64bit)
    libHSunix-time-0.3.7-EhnEKT4D7hJajV74Sk5BE-ghc8.0.2.so()(64bit)
    libHSunordered-containers-0.2.7.2-CCGHIBvU8ua1YYN1Bs8HVt-ghc8.0.2.so()(64bit)
    libHSutf8-string-1.0.1.1-1DpjxLeTvGg7ttZZojxJR5-ghc8.0.2.so()(64bit)
    libHSvault-0.3.0.6-1pYzlyo9GuAJ8c8GzUX62f-ghc8.0.2.so()(64bit)
    libHSvector-0.11.0.0-LMwQhhnXj8U3T5Bm1JFxG-ghc8.0.2.so()(64bit)
    libHSvoid-0.7.1-LqmDeLUOUcG8WFzSs4VdFc-ghc8.0.2.so()(64bit)
    libHSwai-3.2.1.1-Lx293U3FyLnDNnL1Yr1RVq-ghc8.0.2.so()(64bit)
    libHSwai-app-static-3.1.6.1-1YdzXylJqQjEibkahNistU-ghc8.0.2.so()(64bit)
    libHSwai-extra-3.0.19.1-1WSFVUQk04xJnkPrsoWWwJ-ghc8.0.2.so()(64bit)
    libHSwai-logger-2.3.0-FOUe7BsfIlX5fHZzP4rGKX-ghc8.0.2.so()(64bit)
    libHSwarp-3.2.13-UD61q2TezUKDvREXleNts-ghc8.0.2.so()(64bit)
    libHSword8-0.1.2-9WDPGCTpW7JJnsiAQavtd1-ghc8.0.2.so()(64bit)
    libHSyesod-core-1.4.37-Fp93GWED2VbDjpDE02svpn-ghc8.0.2.so()(64bit)
    libHSzlib-0.6.1.2-7negTfm2ujt1gW4wr40MUp-ghc8.0.2.so()(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgmp.so.10()(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    libutil.so.1()(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

ghc-yesod-static-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc-compiler
    ghc-devel(async-2.1.1-4n6HEMPJR2eJK0JpvCfuPK)
    ghc-devel(attoparsec-0.13.1.0-G3BhdDx0nS3HUOq0M94zE6)
    ghc-devel(base-4.9.1.0)
    ghc-devel(base64-bytestring-1.0.0.1-4O9TExPPz6eI82Yj7L4SIj)
    ghc-devel(blaze-builder-0.4.0.2-Chs7nQ4Qyy3Dg6EW0im6Kk)
    ghc-devel(byteable-0.1.1-2lU1pexQSLj1KbNO17UifQ)
    ghc-devel(bytestring-0.10.8.1)
    ghc-devel(conduit-1.2.9-KyEH1gT2SFlFXLffDx2XOT)
    ghc-devel(conduit-extra-1.1.15-E618f3Ee8ucAc6qnMdY0db)
    ghc-devel(containers-0.5.7.1)
    ghc-devel(cryptonite-0.24-ILuVi1LfJlnLqQncwTReUq)
    ghc-devel(cryptonite-conduit-0.2.0-6TKtNYMN7346A3thn5FNYx)
    ghc-devel(css-text-0.1.2.2-C8fxTSJlSGl19q6p4vOMyz)
    ghc-devel(data-default-0.7.1.1-7EGYJX2YWqWJRbPFUHNoCr)
    ghc-devel(directory-1.3.0.0)
    ghc-devel(exceptions-0.8.3-ADEDRATtUrMK1JW4zMQ9U)
    ghc-devel(file-embed-0.0.10-KWMmUDaNSRP7AxWSEHlrrK)
    ghc-devel(filepath-1.4.1.1)
    ghc-devel(hashable-1.2.5.0-3jyU6ITgVDsZjJvM61wsx)
    ghc-devel(hjsmin-0.2.0.2-5bsgT8RniwlDYdja9qfjhV)
    ghc-devel(http-types-0.9.1-8UHFRKjjMv4ECejpDfDj8j)
    ghc-devel(memory-0.14.6-Aar7hKewN999MXzU9kvt2a)
    ghc-devel(mime-types-0.1.0.7-DtDaq3BBRdpGX5AB2WhPPy)
    ghc-devel(old-time-1.1.0.3-KWRsMSdY26c2L27Y9n9cyq)
    ghc-devel(process-1.4.3.0)
    ghc-devel(resourcet-1.1.9-Ej57FoSD8NQLck5u9CwWz8)
    ghc-devel(template-haskell-2.11.1.0)
    ghc-devel(text-1.2.2.1-FwvWBfkNJh1I1NMMegz0uY)
    ghc-devel(transformers-0.5.2.0)
    ghc-devel(unix-compat-0.4.3.1-Ausmw6d7KIwA7sl52mzqxC)
    ghc-devel(unordered-containers-0.2.7.2-CCGHIBvU8ua1YYN1Bs8HVt)
    ghc-devel(wai-3.2.1.1-Lx293U3FyLnDNnL1Yr1RVq)
    ghc-devel(wai-app-static-3.1.6.1-1YdzXylJqQjEibkahNistU)
    ghc-devel(yesod-core-1.4.37-Fp93GWED2VbDjpDE02svpn)
    ghc-yesod-static(x86-64)

Provides
--------
ghc-yesod-static:
    ghc-yesod-static
    ghc-yesod-static(x86-64)
    libHSyesod-static-1.5.3.1-DxuzwDB0BLSD6iLYJhzYka-ghc8.0.2.so()(64bit)

ghc-yesod-static-devel:
    ghc-devel(yesod-static-1.5.3.1-DxuzwDB0BLSD6iLYJhzYka)
    ghc-yesod-static-devel
    ghc-yesod-static-devel(x86-64)
    ghc-yesod-static-static

Unversioned so-files
--------------------
ghc-yesod-static: /usr/lib64/ghc-8.0.2/yesod-static-1.5.3.1-DxuzwDB0BLSD6iLYJhzYka/libHSyesod-static-1.5.3.1-DxuzwDB0BLSD6iLYJhzYka-ghc8.0.2.so

Source checksums
----------------
https://hackage.haskell.org/package/yesod-static-1.5.3.1/yesod-static-1.5.3.1.tar.gz :
  CHECKSUM(SHA256) this package     : 544bf84638c8cb1f2d1a869800516bdb826cc1a4f534e15a5f558299cafb3937
  CHECKSUM(SHA256) upstream package : 544bf84638c8cb1f2d1a869800516bdb826cc1a4f534e15a5f558299cafb3937


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1513289
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Haskell, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6


Looks fine to me.

APPROVED

Comment 3 Gwyn Ciesla 2017-11-15 13:20:40 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/ghc-yesod-static


Note You need to log in before you can comment on or make changes to this bug.